/*
 * Copyright (C) 2008-2010 by CERN
 *
 * Authors: Zsolt Molnar <zsolt.molnar@cern.ch, http://www.zsoltmolnar.hu>
 *
 * Objects for dependency injection of SRM services.
 * (see: http://en.wikipedia.org/wiki/Dependency_injection)
 *
 * The goal: make the LCG_Util logic unit-testable by decoupling from the real Globus
 * calls. Unit tests then create mock objects and create response objects
 * without real Globus / network operations.
 */
#include "globus_dependencies.h"

lcg_globus_callers_t lcg_globus_functions = {
    copyfilex,
    getfilesizet
};
